/*
 * XMOSlisp is a tiny lisp interpreter for XMOS devices.
 * Copyright (C) 2010       Ruben Vandamme
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef XMOS_H_
#define XMOS_H_

#include <xccompat.h>

/* port functions */
void pout(port p, unsigned v);
unsigned pin(port p);
unsigned peq(port p, unsigned v);
unsigned pne(port p, unsigned v);

/* timer functions */
int getTime();
int timeAfter(int time);

#endif /*XMOS_H_*/
